Extending Qt Creator Manual | RunConfigurationModel

Extending Qt Creator Manual 4.3.0

# RunConfigurationModel Class

(ProjectExplorer::RunConfigurationModel)

The RunConfigurationModel class provides a model to represent the run configurations of a target. More...

Header: | #include <RunConfigurationModel>

- List of all members, including inherited members

## Public Functions

| RunConfigurationModel(Target *target, QObject *parent = nullptr)
QModelIndex | indexFor(RunConfiguration *rc)
RunConfiguration * | runConfigurationAt(int i)
RunConfiguration * | runConfigurationFor(const QModelIndex &idx)

## Detailed Description

The RunConfigurationModel class provides a model to represent the run configurations of a target.

To be used in the dropdown lists of comboboxes. Automatically adjusts itself to added and removed run configurations.

## Member Function Documentation

### RunConfigurationModel::RunConfigurationModel(Target *target, QObject *parent = nullptr)

Default constructs an instance of RunConfigurationModel.

### QModelIndex RunConfigurationModel::indexFor(RunConfiguration *rc)

### RunConfiguration *RunConfigurationModel::runConfigurationAt(int i)

### RunConfiguration *RunConfigurationModel::runConfigurationFor(const QModelIndex &idx)